Base58.Builder (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.binary, class: Base58, class: Builder

Package org.apache.commons.codec.binary

# Class Base58.Builder

java.lang.Object
org.apache.commons.codec.binary.BaseNCodec.AbstractBuilder<Base58,Base58.Builder>
org.apache.commons.codec.binary.Base58.Builder

All Implemented Interfaces:
  `Supplier<Base58>`

Enclosing class:
  `Base58`

public static class Base58.Builder extends BaseNCodec.AbstractBuilder<Base58,Base58.Builder>
Builds `Base58` instances with custom configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new Base58 builder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Base58`
  `get()`
  Builds a new Base58 instance with the configured settings.
  `Base58.Builder`
  `setEncodeTable(byte... encodeTable)`
  Sets the encode table and derives the matching decode table.

  ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodec.AbstractBuilder

  `setDecodeTable, setDecodingPolicy, setLineLength, setLineSeparator, setPadding`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new Base58 builder.

- ## Method Details

  - ### get

    public Base58 get()
    Builds a new Base58 instance with the configured settings.
    Returns:
      A new Base58 codec.

  - ### setEncodeTable

    public Base58.Builder setEncodeTable(byte... encodeTable)
    Sets the encode table and derives the matching decode table.
    Overrides:
      `setEncodeTable` in class `BaseNCodec.AbstractBuilder<Base58,Base58.Builder>`
    Parameters:
      `encodeTable` - The encode table with exactly 58 unique entries, null resets to the default.
    Returns:
      `this` instance.
    Throws:
      `IllegalArgumentException` - if the encode table does not contain exactly 58 unique entries.